<template>
	<a-layout-header>
        <a-row type="flex" align="middle">
	      <a-col :span="3">
	      	<span class="logo">
	      		Logotype
	      	</span>
	      </a-col>
	      <a-col :span="21">
	      	<div class="menu-right-align">
	      		<a :style="{ color: 'rgba(255,255,255,.65)' }" @click="logout" v-if="$localStorage.get('access_token') != null">Выйти</a>
	      		<router-link v-else :to="{ name: 'LoginPage' }">Войти</router-link>
	      	</div>
	      </a-col>
	    </a-row>
    </a-layout-header>
</template>

<script type="text/javascript">
	export default {
		methods: {
			logout() {
				this.$localStorage.remove('access_token');
				window.location.replace('/')
			}
		}
	}
</script>